package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._AvzTWhereaboutsinformation;

public class AvzTWhereaboutsinformation extends _AvzTWhereaboutsinformation {
  public Integer getWhereaboutsinformationId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(
          WHEREABOUTSINFORMATION_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setWhereaboutsinformationId(String id) {
    setObjectId(new ObjectId("AvzTWhereaboutsinformation",
        WHEREABOUTSINFORMATION_ID_PK_COLUMN, Integer.valueOf(id)));
  }
}
